curl --request GET \
--url https://api.copyleaks.com/v1/writing-feedback/correction-types/en
from copyleaks.copyleaks import Copyleaks
# Public endpoint no authentication required.
correction_types = Copyleaks.WritingAssistantClient.get_correction_types("en")
print(correction_types)
{
"correctionTypes": [
{
"title": "General",
"description": "A general correction detected.",
"message": "A general correction detected",
"id": 1,
"category": 2
}
]
}
Grammar Checker
Get Correction Types
Get a list of correction types supported within the Grammar Checker API.
GET
/
v1
/
writing-feedback
/
correction-types
/
{language_code}
curl --request GET \
--url https://api.copyleaks.com/v1/writing-feedback/correction-types/en
from copyleaks.copyleaks import Copyleaks
# Public endpoint no authentication required.
correction_types = Copyleaks.WritingAssistantClient.get_correction_types("en")
print(correction_types)
{
"correctionTypes": [
{
"title": "General",
"description": "A general correction detected.",
"message": "A general correction detected",
"id": 1,
"category": 2
}
]
}
curl --request GET \
--url https://api.copyleaks.com/v1/writing-feedback/correction-types/en
from copyleaks.copyleaks import Copyleaks
# Public endpoint no authentication required.
correction_types = Copyleaks.WritingAssistantClient.get_correction_types("en")
print(correction_types)
{
"correctionTypes": [
{
"title": "General",
"description": "A general correction detected.",
"message": "A general correction detected",
"id": 1,
"category": 2
}
]
}
Request
Path Parameters
string
required
The language for the returned texts to be in. Language codes are in ISO 639-1 standard. Supported Values: en - English
Response
Body
array[object]
List of correction types and corresponding user interface information.
Show properties
Show properties
string
Shortened capitalized name of the correction.
string
A short explanation of the correction.
string
A longer, more explicit explanation of the correction.
integer
An identifier for the correction type.
integer
Unsigned integer. Category of the correction type.Available Values:
1: Sentence Structure2: Grammar3: Word Choice4: Mechanics
>= 1
